//
//  YHHKPlanDocModel.swift
//  galaxy
//
//  Created by davidhuangA on 2024/4/1.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

enum HKPlanDocQuestionType {
    case unknow
    case planDocQuestion1 // 1、主要事业成就
    case planDocQuestion2 // 2、专业技能成就
    case planDocQuestion3 // 3、专业资格|奖项
    case planDocQuestion4 // 4、专业技能|成就
    case planDocQuestion5 // 5、对香港潜在贡献
    case planDocQuestion6 // 6、计划计划
    case planOther        // 7、其他重要资料
}

class YHHKPlanDocModel {
    var title: String = ""
    var content: String = ""
    var  contentCount: Int = 0 // content的长度
    
    var type: HKPlanDocQuestionType = .unknow
    
    var other: String = ""
    
    // 本地使用
    var canEditFlag: Bool = true
    var isFirstData: Bool = false
    var isLastData: Bool = false
}
